Unable to find atlsd.lib

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
Post Reply
sluge
In need of some credit
In need of some credit
Posts: 1
Joined: Fri May 08, 2020 5:52 am

Unable to find atlsd.lib

Post by sluge » Fri May 08, 2020 5:57 am

Hello, I'm building my project that uses wxMSW-2.8.7 as debug and got an error: atlsd.lib lib not found.
I use Visual Studio 2019. I faced with this error only when I build Debug with VC static runtime.
All other configs: Release with static VC runtime, Debug/Release with DLL VC runtime are Ok.
How to fix this build issue?

User avatar
doublemax
Moderator
Moderator
Posts: 14769
Joined: Fri Apr 21, 2006 8:03 pm
Location: $FCE2

Re: Unable to find atlsd.lib

Post by doublemax » Fri May 08, 2020 6:56 am

In the linker settings, change atlsd.lib to atls.lib (without 'd' for Debug). AFAIK the debug version was removed at some time.

BTW: This is not a wxWidgets issue.
Use the source, Luke!

Post Reply